Thread::unlock
Worker
Thread
PHP Manual

# Thread::wait

Synchronization

### Description

final public boolean Thread::wait ([ long `$timeout` ] )

Will cause the calling Thread to wait for notification from the referenced Thread

### Parameters

`timeout`

  An optional timeout in millionths of a second

### Return Values

A boolean indication of success

### Examples

Example #1 Notifications and Waiting

`<?php
class My extends Thread {
public function run() {
/** cause this thread to wait **/
$this->synchronized(function($thread){
$thread->wait();
}, $this);
}
}
$my = new My();
$my->start();
/** send notification to the waiting thread **/
$my->synchronized(function($thread){
$thread->notify();
}, $my);
var_dump($my->join());
?>`

The above example will output:

    bool(true)